//
// ********************************************************************
// * License and Disclaimer                                           *
// *                                                                  *
// * The  Geant4 software  is  copyright of the Copyright Holders  of *
// * the Geant4 Collaboration.  It is provided  under  the terms  and *
// * conditions of the Geant4 Software License,  included in the file *
// * LICENSE and available at  http://cern.ch/geant4/license .  These *
// * include a list of copyright holders.                             *
// *                                                                  *
// * Neither the authors of this software system, nor their employing *
// * institutes,nor the agencies providing financial support for this *
// * work  make  any representation or  warranty, express or implied, *
// * regarding  this  software system or assume any liability for its *
// * use.  Please see the license in the file  LICENSE  and URL above *
// * for the full disclaimer and the limitation of liability.         *
// *                                                                  *
// * This  code  implementation is the result of  the  scientific and *
// * technical work of the GEANT4 collaboration.                      *
// * By using,  copying,  modifying or  distributing the software (or *
// * any work based  on the software)  you  agree  to acknowledge its *
// * use  in  resulting  scientific  publications,  and indicate your *
// * acceptance of all terms of the Geant4 Software license.          *
// ********************************************************************
//

#include "VKScintillatorHit.hh"
#include "G4ios.hh"
#include "G4VVisManager.hh"
#include "G4Colour.hh"
#include "G4VisAttributes.hh"
#include "G4LogicalVolume.hh"
#include "G4VPhysicalVolume.hh"

G4ThreadLocal G4Allocator<VKScintillatorHit>* VKScintillatorHitAllocator=0;


VKScintillatorHit::VKScintillatorHit() 
 : fEdep(0.), 
   fPos(0.), 
   fPhysVol(0) 
{
    // do nothing
}


VKScintillatorHit::VKScintillatorHit(G4VPhysicalVolume* pVol) 
 : fPhysVol(pVol) 
{
    // do nothing
}


VKScintillatorHit::~VKScintillatorHit() 
{
    // do nothing
}


VKScintillatorHit::VKScintillatorHit(const VKScintillatorHit &right) 
 : G4VHit()
{
    fEdep = right.fEdep;
    fPos = right.fPos;
    fPhysVol = right.fPhysVol;
}


const VKScintillatorHit& VKScintillatorHit::operator=(const VKScintillatorHit &right)
{
    fEdep = right.fEdep;
    fPos = right.fPos;
    fPhysVol = right.fPhysVol;
    return *this;
}


G4int VKScintillatorHit::operator==(const VKScintillatorHit&) const
{
    return false;
    // returns false because there currently isnt need to check for equality yet
}


void VKScintillatorHit::Draw() 
{
    // do nothing
}


void VKScintillatorHit::Print() 
{
    // do nothing
}
